Get Media

Prev
Get
/media/{resource_path}

This API enables developers to receive media files encoded in the BASE64 format within the CommBox platform.
To retrieve all children and files of the object, use the Get Object API with the Query parameter -> includeChilds = true.
Object’s children containing images will be listed with their file name and server location.

To convert the file into BASE64 format, add “?encoding=base64” to JSON request.

Note: User must be authorized to access the brand and channel where the image is found.

Format:
GET https://api.commbox.io/media/brands/bumpyard/whatsapp/3-24/ce56dd94ce.jpeg?encoding=base64

Security
HTTP
Type bearer

API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.

Path parameters
resource_path
Required

The media file location and name

Query parameters
encoding=base64

When there is no query param, default is binary file retrieval

Responses
200

OK

Expand All
object
status
string
Example200
description
string
ExampleOperation successful
response_time
string
Example2025-06-06T07:51:52.2581942Z
data
object
fileName
string
Exampledec23rn2_63bdec8e12.png
contentType
string
Exampleimage/png
data
string

Base64 code of media file (partial)

ExampleiVBORw0KGgoAAAANSUhEUgAAAgAAAACbCAYAAAAURiNTAAAABGdBTUEAALGPC/xhBQAANABJREFUeF7tnWd0VFee7b3mw1vvw1szveat1+/N9LRn2h7b7UDGYHew3W67nbrbsW0aG2Nsg4nC5JxzzjlIiChAQuSccxBBOeeEMhIZ2/udfYojF3KBBQjaqDZr/VbVPffEW6L2Pv9zbt2H8vLykJaWhvT0dGRmZuLs2bPIzc2tTMvOzrZpfHVpOTk5Ni0rK8umZWRk2DJMYx0uX35+vk3jeZdWtX7WwTTW6dKqtsnyVdtkPtbDNlybzMfxMM21yVfvNkl12mSaa9M77WZtEtemu44szzJMq279TGP9Va9tddpkHuZ1bbKOgoKCG8bp2qyaxrKuH65N1u/a5GvVNlk/y7G8a9ON07v+m43d1zh/rE03zlu16Z3mq01XP+t09Xu3yTzsS9VxVr22rn6XxvqZ5sbEdJapOk5fbfL4Zm16p91Om77G6epy4/RO89Wm93V0bfI8/65c/UxnPcxXE23eapzebbIc01w5vjKNuHy3apN1ujQ3Tp7zHqdr06W5cf5Ym1XHfqtr690my/DaMo9LYznvNt3YiUv7sXG6um7WZtVxVqdNvlanzap/o8TXOJmHae6Yr0xjfS6N+ZnG8i6N9TLtZuPkMXFtVv08ffWD+GrT1cV6WY5tujS+Z9rN2nRpHA/TWL9rg8dsg++ZxjZdWk3B+nKyMjF7QxSmr4vCzPXReMidqNpYTaa5Y19p7rim09yxrzR3XNNp1clT02nVyVMTaVWP70da1eP7kVb1+H6kVT2+l2nVyVPTadXJczdp7thXvqrHNZXmjn3lq3p8J2nuuLpp7rim09xxddPccXXT3PHdpLnju0lzx9VNc8d3k+aOfyytpmCdOVkZmLMxGjOM+FcaACGEEELUXpwBmLvJiP
400

Bad Request - The request could not be understood by the server. Incoming parameters might not be valid

object
status
integer
Example400
description
string
ExampleBad Request
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
401

Unauthorized - The supplied credentials, if any, are not sufficient to access the resource

object
status
integer
Example401
description
string
ExampleUnauthorized
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
404

Not found - The requested resource is not found

object
status
integer
Example404
description
string
ExampleNot Found
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
429

Too Many Requests - Too many requests have been made in a short period of time (Throttling)

object
status
integer
Example429
description
string
ExampleToo Many Requests
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
500

Server Error - The server could not return the representation due to an internal server error

object
status
integer
Example500
description
string
ExampleInternal Server Error
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z